> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apidefairuwoappurdo.md).

# GeoPard APIでファイルをアップロード

{% hint style="success" %}
6 MBを超えるファイルに推奨される方法は [事前署名付きURLのフローです](/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/55-zipfairuwoappurdo6mb.md).
{% endhint %}

GeoPard APIでは、soil/yield/applied/boundaryデータセットを含むzipアーカイブをアップロードして、さらに処理と分析を行えます。

{% hint style="danger" %}
AWSの制限により、このRESTエンドポイント経由でアップロードできる最大ファイルサイズは6 MBです。
{% endhint %}

6 MBを超えるファイルのアップロード手順は [Zipファイルのアップロード（6 MB超）](/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/55-zipfairuwoappurdo6mb.md).

soil/yield/appliedデータセットのアップロードが成功するとすぐに、GeoPardエンジンはそれを、定義された農場内にある関連するフィールドに紐付けます。

boundaryのアップロードが成功するとすぐに、GeoPardエンジンはその処理を開始します。

レスポンスには `<uuid>` が含まれており、処理状況の追跡に使用できます。

#### リクエスト例：

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

パラメータは次のとおりです：

1. `<type>` - アップロードするデータセットの種類。以下のいずれかである必要があります `yield` または `soil` または `applied` または `boundary`.
2. `<farm_uuid>` - ファイルをアップロードするFarmの `uuid` （任意）。
3. `<token>` - GeoPardのアクセストークン。
4. `@path/to/file.zip` - アップロードするファイルのパスです。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apidefairuwoappurdo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
